MPlayer(1)

NAME
mplayer - Movie Player for Linux
mencoder - Movie Encoder for Linux

SYNOPSIS
mplayer [options] [ file | URL | playlist | - ]
mplayer
[global options] file1 [specific options] [file2] [specific options]
mplayer
[global options] {group of files and options} [group specific options]
mplayer
[dvd|vcd|cdda|cddb|tv]://title [options]
mplayer
[mms[t]|http|http_proxy|rt[s]p]:// [user:passwd@]URL[:port] [options]
mencoder [options] [ file | URL | - ] [-o file]
gmplayer [options] [-skin skin]

DESCRIPTION
mplayer is a movie player for LINUX (runs on many other Unices and non-x86 CPUs, see the documentation). It plays most MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM and RoQ files, supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies, too (without using the avifile library).

Another great feature of MPlayer is the wide range of supported output drivers. It works with X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, but you can also use GGI, SDL (and this way all their drivers), VESA (on every VESA compatible card, even without X11), some low level card-specific drivers (for Matrox, 3Dfx and ATI) and some hardware MPEG decoder boards, such as the Siemens DVB, DXR2 and DXR3/Hollywood+. Most of them support software or hardware scaling, so you can enjoy movies in fullscreen.

MPlayer has an onscreen display (OSD) for status information, nice big antialiased shaded subtitles and visual feedback for keyboard controls. European/ISO 8859-1,2 (Hungarian, English, Czech, etc), Cyrillic and Korean fonts are supported along with 10 subtitle formats (MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub and our own: MPsub) and DVD subtitles (SPU streams, VobSub and Closed Captions).

mencoder (MPlayer's Movie Encoder) is a simple movie encoder, designed to encode MPlayer-playable movies (see above) to other MPlayer-playable formats (see below). It encodes to DivX4, XviD, one of the libavcodec codecs and PCM/MP3/VBRMP3 audio in 1, 2 or 3 passes. Furthermore it has stream copying abilities, a powerful plugin system (crop, expand, flip, postprocess, rotate, scale, noise, rgb/yuv conversion) and more.

gmplayer is MPlayer with a graphical user interface. It has the same options as MPlayer.

GENERAL NOTES
Also see the HTML documentation!

Every 'flag' option has a 'noflag' counterpart, e.g. the opposite of the -fs option is -nofs.

You can put all of the options in a configuration file which will be read every time mplayer is run. The system-wide configuration file 'mplayer.conf' is in your configuration directory (e.g. /etc/mplayer or /usr/local/etc/mplayer), the user specific one is '~/.mplayer/config'. User specific options override system-wide options and options given on the command line override either. The syntax of the configuration files is 'option=<value>', everything after a '#' is considered a comment. Options that work without values can be enabled by setting them to 'yes' or '1' and disabled by setting them to 'no' or '0'. Even suboptions can be specified in this way. EXAMPLE:
# Use Matrox driver by default.
vo=xmga
# I love practicing handstands while watching videos.
flip=yes
# Decode/encode multiple files from png, start with -mf on
mf= type=png:fps=25 You can also write file-specific configuration files. If you wish to have a config file for a file called 'movie.avi', create a file named 'movie.avi.conf' with the file-specific options in it and put it in ~/.mplayer or in the same directory as the file.

PLAYER OPTIONS (MPLAYER ONLY)

-, -use-stdin
    Read data from stdin. The -idx option does not work in conjunction with this.

-autoq <quality> (use with -vop pp)
    Dynamically changes the level of postprocessing depending on available spare CPU time. The number you specify will be the maximum level used. Usually you can use some big number. You have to use -vop pp without parameters in order to use this.

-autosync <factor>
    Gradually adjusts the A/V sync based on audio delay measurements. Specifying -autosync 0, the default, will cause frame timing to be based entirely on audio delay measurements. Specifying -autosync 1 will do the same, but will subtly change the A/V correction algorithm used. An uneven video frame rate in a movie which plays fine with -nosound can often be helped by setting this to an integer value greater than 1. The higher the value, the closer the timing will be to -nosound. Try -autosync 30 to smooth out problems with sound drivers which do not implement a perfect audio delay measurement. With this value, if large A/V sync offsets occur, they will only take about 1 or 2 seconds to settle out. This delay in reaction time to sudden A/V offsets should be the only side-effect of turning this option on, for all sound drivers.

-benchmark
    Prints some statistics on CPU usage and dropped frames at the end. Use in combination with -nosound and -vo null for benchmarking only the video codec.

-edl <filename>
    Enables edit decision list (EDL) actions during playback. Video will be skipped over and audio will be muted and unmuted according to the entries in the given file. See DOCS/documentation.html#edl for details on how to use this.

-edlout <filename>
    Creates a new file and writes edit decision list (EDL) records to that file. During playback, when the user hits 'i', an entry to skip over the last two seconds of playback will be written to the file. This provides a starting point from which the user can fine-tune EDL entries later. See DOCS/documentation.html#edl for details.

-enqueue (GUI only)
    Enqueue files given on the command line in the playlist instead of playing them immediately.

-fixed-vo (BETA CODE!)
    Enforces a fixed video system for multiple files (one (un)initialisation for all files). Therefore only one window will be opened for all files. Currently the following drivers are fixed-vo compliant: x11, xv, xvidix, xmga, gl2, and svga.

-framedrop (also see -hardframedrop)
    Skip displaying some frames to maintain A/V sync on slow systems. Video filters are not applied to such frames. For B frames even decoding is skipped completely.

-h, -help, --help
    Show short summary of options.

-hardframedrop
    More intense frame dropping (breaks decoding). Leads to image distortion!

-identify
    Show file parameters in easy parsable format. The wrapper script TOOLS/midentify suppresses the other mplayer output and (hopefully) shellescapes the filenames.

-input <commands>
    This option can be used to configure certain parts of the input system. Paths are relative to ~/.mplayer/. NOTE:
    Autorepeat is currently only supported by joysticks.
    Available commands are: Read alternative input.conf. If given without pathname, ~/.mplayer is assumed. Delay in msec before we start to autorepeat a key (0 to disable). How many key presses per second when we autorepeat. Prints all keys that can be bound. Prints all commands that can be bound. Specifies the joystick device to use (default is /dev/input/js0). Read commands from the given file. Mostly useful with a fifo.

-lircconf <file>
    Specifies a configuration file for LIRC (Linux Infrared Remote Control, see http://www.lirc.org) if you don't like the default ~/.lircrc.

-loop <number>
    Loops movie playback <number> times. 0 means forever.

-menu (BETA CODE)
    Turn on OSD menu support.

-menu-root <value> (BETA CODE)
    Specify the main menu.

-menu-cfg <file> (BETA CODE)
    Use an alternative menu.conf.

-nojoystick
    Turns off joystick support. Default is on, if compiled in.

-nolirc
    Turns off LIRC support.

-nortc
    Turns off usage of the Linux RTC (real-time clock - /dev/rtc) as timing mechanism.

-playlist <file>
    Play files according to a playlist (1 file per row or Winamp or ASX format).

-quiet
    Display less output and status messages.

-really-quiet
    Display even less output and status messages.

-sdp
    Specifies that the input file is a SDP ('Session Description Protocol') file that describes an RTP session (see http://www.live.com/mplayer/).

-shuffle
    Play files in random order.

-skin <skin directory> (BETA CODE)
    Load skin from the given directory (WITHOUT path name). EXAMPLE: tries Skin/fittyfene. It first checks /usr/local/share/mplayer/ and afterwards ~/.mplayer/.

-slave
    This option switches on slave mode. This is intended for use of MPlayer as a backend to other programs. Instead of intercepting keyboard events, MPlayer will read simplistic command lines from its stdin. The section SLAVE MODE PROTOCOL explains the syntax.

-softsleep
    Uses high quality software timers. As precise as the RTC without requiring special privileges. Comes at the price of higher CPU consumption.

-speed <0.01-100>
    Set playback speed rate.

-sstep <sec>
    Specifies seconds between displayed frames. Useful for slideshows.

DEMUXER/STREAM OPTIONS

-aid <id> (also see -alang option)
    Select audio channel [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191] MPlayer prints the available IDs when running in verbose (-v) mode.

-alang <two letter country code> (also see -aid option)
    Works only for DVD playback. It selects the DVD audio language and always tries to play audio streams whose language matches the given code. For the list of available languages, use with the -v option and look at the output. EXAMPLE: Plays Hungarian and falls back to English if Hungarian is not available.

-audio-demuxer <number> (-audiofile only)
    Force audio demuxer type for -audiofile. Give the demuxer ID as defined in demuxers.h. Use -audio-demuxer 17 to force .mp3 detection.

-audiofile <filename>
    Play audio from an external file (WAV, MP3 or Ogg Vorbis) while viewing a movie.

-bandwidth <value>
    Specify the maximum bandwidth for network streaming (for servers that are able to send content in different bitrates). Usefull if you want to watch live streamed media behind a slow connection.

-cdrom-device <path to device>
    Override default CDROM drive name /dev/cdrom.

-cache <kbytes>
    This option specifies how much memory (in kbytes) to use when precaching a file/URL. Especially useful on slow media (default is -nocache).

-cdda <option1:option2>
    This option can be used to tune the CD Audio reading feature of MPlayer.
    Available options are: set CD spin speed set paranoia level 0: disable checking
    1: overlap checking only (default)
    2: full data correction and verification use specified generic SCSI device atomic read size force minimum overlap search during verification to <value> sectors. Assume that the beginning offset of track 1 as reported in the TOC will be addressed as LBA 0. Some Toshiba drives need this for getting track boundaries correct. Add <value> sectors to the values reported when addressing tracks. May be negative. (never) accept imperfect data reconstruction.

-channels <number>
    Change the number of playback channels, defaults to '2' if not specified. If the number of output channels is bigger than the number of input channels empty channels are inserted (unless mixing from mono to stereo, then the mono channel is repeated in both output channels). If the number of output channels is smaller than the number of input channels, results depend on the audio decoder (-afm). MPlayer asks the decoder to decode the audio into as many channels as specified. Now it's up to the decoder to fulfill the requirement. If the decoder outputs more channels than requested, the exceeding channels are truncated. This is usually only important when playing videos with AC3 audio (like DVDs). In that case liba52 does the decoding by default and correctly downmixes the audio into the requested number of channels. NOTE:
    This option is honored by codecs (AC3 only) filters (surround) and ao drivers (OSS at least).
    Available options are: Stereo Surround Full 5.1

-chapter <chapter id>[-<end chapter id>]
    Specify which chapter to start playing at. Optionally specify which chapter to end playing at (default: 1). Examples can be found below.

-csslib <filename>
    (old-style DVD option) This option is used to override the default location of libcss.so.

-cuefile <filename> (see -vcd too)
    Play (S)VCD from CDRwin's (bin/cue fileformat) disk image, described by the specified file.

-demuxer <number>
    Force demuxer type. Give the demuxer ID as defined in demuxers.h. Use -demuxer 17 to force .mp3 detection.

-dumpaudio (MPLAYER only)
    Dumps raw compressed audio stream to ./stream.dump (useful with mpeg/ac3).

-dumpfile <filename> (MPLAYER only)
    Specify which file MPlayer should dump to. Should be used together with -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPLAYER only)
    Dumps the raw stream to ./stream.dump. Useful when ripping from DVD or network.

-dumpvideo (MPLAYER only)
    Dump raw compressed video stream to ./stream.dump (not very usable).

-dvd <title id>
    Tell MPlayer which movies (specified by title id) to play. For example sometimes '1' is a trailer, and '2' is the real movie. NOTE:
    Sometimes deinterlacing is required for DVD playback, see the -vop pp=0x20000 option.

-dvd-device <path to device>
    Override default DVD device name /dev/dvd.

-dvdangle <angle id>
    Some DVD discs contain scenes that can be viewed from multiple angles. Here you can tell MPlayer which angles to use (default: 1). Examples can be found below.

-dvdauth <DVD device>
    (old-style DVD option) Turns on DVD authentication using the given device.

-dvdkey <CSS key>
    (old-style DVD option) When decoding a VOB file copied undecrypted from DVD, this option gives the CSS key needed to decrypt the VOB (the key is printed when authenticating with the DVD drive using -dvdauth).

-dvdnav (BETA CODE!)
    Force usage of libdvdnav.

-forceidx
    Force rebuilding of INDEX. Useful for files with broken index (desyncs, etc). Seeking will be possible. You can fix the index permanently with MEncoder (see the documentation).

-fps <value>
    Override video framerate (if value is wrong/missing in the header) (float number).

-frames <number>
    Play/convert only first <number> frames, then quit.

-hr-mp3-seek (.MP3 only)
    Hi-res mp3 seeking. Default is: enabled when playing from external MP3 file, as we need to seek to the very exact position to keep A/V sync. It can be slow especially when seeking backwards - it has to rewind to the beginning to find the exact frame.

-idx (also see -forceidx)
    Rebuilds INDEX of the AVI if no INDEX was found, thus allowing seeking. Useful with broken/incomplete downloads, or badly created AVIs.

-mc <seconds/frame>
    Maximum A-V sync correction per frame (in seconds).

-mf <option1:option2:...>
    Used when decoding from multiple PNG or JPEG files.
    Available options are: turns on multifile support width of the output (autodetect) height of the output (autodetect) fps of the output (default: 25) type of input files (available types: jpeg, png, tga, sgi)

-ni (.AVI only)
    Force usage of non-interleaved AVI parser (fixes playing of some bad AVI files).

-nobps (.AVI only)
    Do not use average byte/sec value for A-V sync (AVI). Helps with some AVI files with broken header.

-noextbased
    Disables filename-extension based demuxer selection. By default, when file type (demuxer) cannot be detected reliably (the file has no header or it is not reliable enough), the filename extension is used to select demuxer. It always falls back to content-based demuxer selection.

-passwd <password> (see -user option too)
    Specify password for http authentication.

-rawaudio <option1:option2:...>
    This option lets you play raw audio files. It may also be used to play audio CDs which are not 44KHz 16Bit stereo.
    Available options are: use raw audio demuxer number of channels rate in samples per second sample size in byte fourcc in hex

-rawvideo <option1:option2:...>
    This option lets you play raw video files.
    Available options are: use raw video demuxer rate in frames per second, default 25.0 set standard image size image width in pixels image height in pixels set colorspace colorspace (fourcc) in hex frame size in bytes

-rtsp-stream-over-tcp
    Used with 'rtsp://' URLs to specify that the resulting incoming RTP and RTCP packets be streamed over TCP (using the same TCP connection as RTSP). This option may be useful if you have a broken Internet connection that does not pass incoming UDP packets (see http://www.live.com/mplayer/).

-skipopening
    Skip DVD opening (dvdnav only).

-sb <byte position> (see -ss option too)
    Seek to byte position. Useful for playback from CDROM images / .VOB files with junk at the beginning.

-srate <Hz>
    Forces the given audio playback rate, changing video speed to keep a-v sync. MEncoder passes this value to lame for resampling.

-ss <time> (see -sb option too)
    Seek to given time position. EXAMPLE: seeks to 56 seconds seeks to 1 hour 10 min

-tv <option1:option2:...>
    This option enables the TV grabbing feature of MPlayer. NOTE:
    MPlayer doesn't accept colons so type dots instead in the device ID (e.g. hw.0,0 instead of hw:0,0).
    Be advised that although you can select any samplerate when using ALSA, the LAME audio codec is able to encode only the 'standard' samplerates. You'll get an .avi file with no sound when you choose an odd samplerate and use this codec.
    Available options are: use TV input no sound available: dummy, v4l, bsdbt848 Specify other device than the default /dev/video0. Specify other input than the default 0 (Television) (see output for a list) Specify the frequency to set the tuner to (e.g. 511.250). Not compatible with channels parameter. output format of the tuner (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) width of the output window height of the output window framerate at which to capture video (frames per second) maximum size of the capture buffer in megabytes (default: dynamical) available: PAL, SECAM, NTSC Set tuner to <value> channel. available: europe-east, europe-west, us-bcast, us-cable, etc Set names for channels. Use _ for spaces in names (or play with quoting ;-). The channel names will then be written using OSD, and the commands tv_step_channel, tv_set_channel and tv_last_channel will then be usable using a remote (see lirc). Not compatible with frequency parameter. Warning: The channel number will then be the position in the 'channels' list, beginning with 1. Example: use tv://1, tv://2, tv_set_channel 1, tv_set_channel 2, etc. set audio capture bitrate capture audio even if there are no audio sources reported by v4l capture from ALSA choose an audio mode: 0: mono
    1: stereo
    2: language 1
    3: language 2 By default, the count of recorded audio channels is determined automatically by querying the audio mode from the tv card. This option allows to force stereo/mono recording regardless of the amode option and the values returned by v4l. This can be used for troubleshooting when the tv card is unable to report the current audio mode. set an audio device /dev/... for OSS
    hardware ID for ALSA choose an audio output of the capture card, if it has more of them These options set parameters of the mixer on the video capture card. They will have no effect, if your card doesn't have one. A value of 0 means capture and buffer audio and video together (default for mencoder). A value of 1 (default for mplayer) means to do video capture only and let the audio go through a loopback cable from the TV card to the soundcard.

-user <user name> (see -passwd option too)
    Specify user name for http authentication.

-vcd <track>
    Play video CD track from a device or image file (see -cuefile).

-vid <id>
    Select video channel [MPG: 0-15 ASF: 0-255].

-vivo <sub-options> (DEBUG CODE)
    Force audio parameters for the .vivo demuxer (for debugging purposes).

OSD/SUB OPTIONS
NOTE:
See -vop expand too.

-dumpmicrodvdsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to the MicroDVD subtitle format. Creates a dumpsub.sub file in the current directory.

-dumpmpsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to MPlayer's subtitle format, MPsub. Creates a dump.mpsub file in the current directory.

-dumpsrtsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to the time-based SubViewer (SRT) subtitle format. Creates a dumpsub.srt file in the current directory.

-dumpjacosub (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to the time-based JACOsub subtitle format. Creates a dumpsub.js file in the current directory.

-dumpsami (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to the time-based SAMI subtitle format. Creates a dumpsub.smi file in the current directory.

-dumpsub (MPLAYER only) (BETA CODE)
    Dumps the subtitle substream from VOB streams. See -dump*sub and -vobsubout* options too.

-ifo <vobsub ifo file>
    Indicate the file that will be used to load palette and frame size for VOBSUB subtitles.

-ffactor <number>
    Resample alphamap of the font. Can be: plain white fonts very narrow black outline (default) narrow black outline bold black outline

-font <path to font.desc file>
    Search for the OSD/SUB fonts in an alternative directory (default for normal fonts: ~/.mplayer/font/font.desc, default for FreeType fonts: ~/.mplayer/subfont.ttf). NOTE:
    With FreeType, this option determines path to the text font file.
    The -subfont-* options are available only with FreeType support compiled in. EXAMPLE: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf

-noautosub
    Turns off automatic loading of subtitle files.

-overlapsub
    Enables overlapping subtitles support for all subtitles formats.

-nooverlapsub
    Disables overlapping subtitles support for all subtitles formats (default behaviour is to enable the support only for specific formats).

-osdlevel <0-3> (MPLAYER only)
    Specifies which mode the OSD should start in. subtitles only volume + seek (default) volume + seek + timer + percentage volume + seek + timer + percentage + total time

-sid <id> (also see -slang option)
    Turns on DVD subtitle displaying. Also, you MUST specify a number which corresponds to a DVD subtitle language (0-31). For the list of available subtitles, use with the -v option and look at the output.

-slang <two letter country code> (also see -sid option)
    Works only for DVD playback. Turns on/selects DVD subtitle language. For the list of available subtitles, use with the -v option and look at the output. EXAMPLE: Selects Hungarian and falls back to English if Hungarian is not available.

-sub <subtitle file>
    Use/display this subtitle file.

-sub-bg-alpha <0-255>
    Specify the alpha channel value for subtitles and OSD backgrounds. Big values mean more transparency. The 0 value is an exception and means completly transparent.

-sub-bg-color <0-255>
    Specify the color value for subtitles and OSD backgrounds. Currently subtitles are grayscale so this value is equivalente to the intensity of the color. The 255 value means white and 0 black.

-subcc
    Display DVD Closed Caption (CC) subtitles. These are NOT the VOB subtitles, these are special ASCII subtitles for the hearing impaired encoded in the VOB userdata stream on most region 1 DVDs. CC subtitles have not been spotted on DVDs from other regions so far.

-subcp <codepage>
    If your system supports iconv(3), you can use this option to specify codepage of the subtitle. EXAMPLE: -subcp latin2
    -subcp cp1250

-sub-demuxer <number> (BETA CODE)
    Force subtitle demuxer type for -subfile.

-subdelay <sec>
    Delays subtitles by <sec> seconds. Can be negative.

-subfont-autoscale <0-3>
    Sets the autoscale mode. NOTE:
    Zero means that text-scale and osd-scale are font heights in points.
    The mode can be: no autoscale proportional to movie height proportional to movie width proportional to movie diagonal (default)

-subfont-blur <0-8>
    Sets the font blur radius (default: 2).

-subfont-encoding <value>
    Sets the font encoding. When set to 'unicode', all the glyphs from the font file will be rendered and unicode will be used (default: unicode).

-subfont-osd-scale <0-100>
    Sets the osd elements autoscale coefficient (default: 6).

-subfont-outline <0-8>
    Sets the font outline thickness (default: 2).

-subfont-text-scale <0-100>
    Sets the subtitle text autoscale coefficient (percentage of the screen size) (default: 5).

-subfps <rate>
    Specify frame/sec rate of subtitle file (float number), default: the same fps as the movie. NOTE:
    ONLY for frame-based SUB files, i.e. NOT MicroDVD format.

-subfile <filename> (BETA CODE)
    Currently useless. Same as -audiofile, but for subtitle streams (OggDS?).

-subpos <0-100> (useful with -vop expand)
    Specify the position of subtitles on the screen. The value is the vertical position of the subtitle in % of the screen height.

-subalign <0-2>
    Specify how subtitles should be aligned with subpos. 0 means align at top (original/default behavior), 1 means align at center, and 2 means align at bottom.

-subwidth <10-100>
    Specify the maximum width of subtitles on the screen. Useful for TV-out. The value is the width of the subtitle in % of the screen width.

-unicode
    Tells MPlayer to handle the subtitle file as UNICODE.

-utf8
    Tells MPlayer to handle the subtitle file as UTF8.

-sub-no-text-pp
    Disables any kind of text post processing done after loading the subtitles. Used for debug purposes.

-vobsub <vobsub file without extension>
    Specify the VobSub files that are to be used for subtitle. This is the full pathname without extensions, i.e. without the '.idx', '.ifo' or '.sub'.

-vobsubid <0-31>
    Specify the VobSub subtitle id.

-spualign <-1-2>
    Specify how spu (DVD/VobSub) subtitles should be aligned. Values are the same as for -subpos, with the extra choice -1 for original position.

-spuaa <mode>
    Antialiasing/scaling mode for DVD/VobSub. A value of 16 may be added to mode in order to force scaling even when original and scaled frame size already match, for example to smooth subtitles with the gaussian blur. The available modes are: none (fastest, very ugly) approximate (broken?) full (slow) bilinear (default, fast and not too bad) uses swscaler gaussian blur (looks very good)

-spugauss <0.0-3.0>
    Variance parameter of gaussian used by -spuaa 4. Higher means more blur. The default is 1.0.

AUDIO OUTPUT OPTIONS (MPLAYER ONLY)

-abs <value> (OBSOLETE)
    Override audio driver/card buffer size detection, -ao oss only

-af <plugin1,plugin2,plugin3[=options],...>
    Activate a comma separated list of audio filters and their options.
    Available filters are: Changes the sample rate of the audio stream to an integer srate (Hz). It only supports the 16 bit little endian format. Change the number of channels to nch output channels. If the number of output channels is bigger than the number of input channels empty channels are inserted (except mixing from mono to stereo, then the mono channel is repeated in both of the output channels). If the number of output channels is smaller than the number of input channels the exceeding channels are truncated. Select the format f and bits per sample bps used for output from the filter layer. The option bps is an integer and denotes bytes per sample. The format f is a string containing a concatenated mix of:
    alaw, mulaw or imaadpcm
    float or int
    unsigned or signed
    le or be (little or big endian)
    Select the output volume level. This filter is not reentrant and can therefore only be enabled once for every audio stream. v: desired gain in dB for all channels in the stream. The gain can be set from -200dB to +40dB (where -200dB mutes the sound completely and +40dB equals a gain of 1000).
    sc: enable soft clipping. Mixes channels arbitrarily, see DOCS/sound.html for details. n: number of output channels (1 - 6).
    lij: how much of input channel j is mixed into output channel i. Add sub-woofer channel. fc: Cutoff frequency for low-pass filter (20Hz to 300Hz) default is 60Hz.
    ch: channel number for the sub-channel. Decoder for matrix encoded surround sound, works on many 2 channel files. d: delay time in ms for the rear speakers (0ms to 1000ms) default is 15ms. Delays the sound output. Specify the delay separately for each channel in milliseconds (floating point number between 0 and 1000).

-af-adv <force=(0-3):list=(filters)> (see -af option too)
    Specify advanced audio filter options: Forces the insertion of audio filters to one of the following: 0: Completely automatic insertion of filters (default)
    1: Optimize for speed
    2: Optimize for accuracy
    3: Turn off auto Same as -af (see -af option).

-ao <driver1[:device],driver2,...[,]>
    Specify a priority list of audio output drivers (optionally with device) to be used. 'device' is valid with SDL, too, it means subdriver then. NOTE:
    To get a full list of available drivers, see -ao help.
    If the list has a trailing ',' it will fallback to drivers not listed. EXAMPLE try to use OSS with the specified sound devices and fallback to others if it fails specify the SDL subdriver

-aofile <filename>
    Filename for -ao pcm.

-aop <list=plugin1,plugin2...:option1=value1:opt2=val2...>
    Specify audio plugin(s) and their options (see documentation too).
    Available options are: comma separated list of plugins (resample, surround, format, volume, extrastereo, volnorm) example plugin, do not use. output format (format plugin only) output frequency (resample plugin only) volume (volume plugin only) stereo coefficient (default: 2.5) (extrastereo plugin only) compressor / 'soft-clipping' capabilities (volume plugin only)

-delay <sec>
    Audio delay in seconds (may be +/- float value).

-format <0-8192>
    Select the format used for output from the filter layer (according to the defines in libao2/afmt.h): Mu-Law A-Law Ima-ADPCM Signed 8-bit Unsigned 8-bit Unsigned 16-bit (Little-Endian) Unsigned 16-bit (Big-Endian) Signed 16-bit (Little-Endian) Signed 16-bit (Big-Endian) MPEG (2) Audio AC3 Signed 32-bit (Little-Endian) Signed 32-bit (Big-Endian)

-mixer <device>
    This option will tell MPlayer to use a different device for mixing than /dev/mixer.

-nowaveheader (-ao pcm only)
    Don't include wave header. Used for RAW PCM.

VIDEO OUTPUT OPTIONS (MPLAYER ONLY)

-aa* (-vo aa only)
    You can get a list and an explanation of available options executing mplayer -aahelp

-bpp <depth>
    Use different color depth than autodetect. Not all -vo drivers support it (fbdev, dga2, svga, vesa).

-brightness <-100-100>
    Adjust brightness of video output (default 0). It changes intensity of RGB components of video signal from black to white screen.

-contrast <-100-100>
    Adjust contrast of video output (default 0). Works in similar manner as brightness.

-dfbopts <value> (-vo directfb2 only)
    Specify a parameter list for the directfb driver.

-display <name>
    Specify the hostname and display number of the X server you want to display on. EXAMPLE: -display xtest.localdomain:0

-double
    Enables doublebuffering. Fixes flicker by storing two frames in memory, and displaying one while decoding another. Can affect OSD. Needs twice the memory of a single buffer, so it won't work on cards with very little video memory.

-dr Turns on direct rendering (not supported by all codecs and video outputs) (default is off). Warning: may cause OSD/SUB corruption!

-dxr2 <option1:option2:...>
    This option is used to control the dxr2 driver. Note: The lavc filter is now auto inserted if you try to play a non MPEG1/2 format so all formats supported by MPlayer should play out of the box (if you have the CPU power needed to encode on the fly). The overlay chipset used on the dxr2 is of pretty bad quality but the default settings should work for everybody. The OSD may be usable with the overlay (not on TV) by drawing it in the colorkey. With the default colorkey settings you may get variable results, usually you will see the colorkey around the characters or some other funny effect. But if you properly adjust the colorkey settings you should be able to get acceptable results. aspect ratio mode (0 = normal, 1 = pan scan, 2 = letterbox (default)) iec958 output mode mute sound output path to the microcode
    TV Out
enable 7.5 IRE b/w TV output color TV output interlaced TV output macrovision mode (0 = off (default), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) TV norm (ntsc (default), pal,pal60,palm,paln,palnc) TV pixel mode
    Overlay
adjust the overlay cropping minimum value for the color key maximum value for the color key color key values do not use the VGA cache enable the osd hack on the overlay adjust the overlay size and position in case it doesn't match the window perfectly enable the overlay tune the overlay (default 1000) recreate the VGA cache

-fb <device> (fbdev or DirectFB only)
    Specifies the framebuffer device to use. By default it uses /dev/fb0.

-fbmode <modename> (fbdev only)
    Change video mode to the one that is labelled as <modename> in /etc/fb.modes. NOTE:
    VESA framebuffer doesn't support mode changing.

-fbmodeconfig <filename> (fbdev only)
    Use this configuration file instead of the default /etc/fb.modes. Only valid for the fbdev driver.

-forcexv (SDL only)
    Force using XVideo.

-fs Fullscreen playing (centers movie, and makes black bands around it). Toggle it with the 'f' key (not all video outputs support it). See also -zoom.

-fsmode-dontuse <0-31> (OBSOLETE) (use -fs option)
    Try this option if you still experience fullscreen problems.

-fstype <type1,type2,...>
    Specify a priority list of fullscreen layer setting modes to be used. The default order is "layer,stays_on_top,above,fullscreen". It will be used as a fallback in case of specifying incorrect or unsupported modes.
    If you experience problems with fullscreen window being covered by other windows try using a different order. NOTE:
    See -fstype help for a full list of available modes.

-geometry x[%][:y[%]] or [WxH][+x+y]
    Adjust where the output is on the screen initially. The x and y specifications are in pixels measured from the top-right of the screen to the top-right of the image being displayed, however if a percentage sign is given after the argument it turns the value into a percentage of the screen size in that direction. It also supports the standard option format to the standard X -geometry option. The values given must be integers. Note: This option is only supported by a few vo's, including tdfxfb, fbdev and xv. EXAMPLE: Places the window at x=50, y=40 Places the window in the middle of the screen Places the window at the top left corner of the screen Places the window at the bottom left corner of the screen

-guiwid <window id>
    This tells the GUI to also use an X11 window and stick itself to the bottom of the video, which is useful to embed a mini-GUI in a browser (with the mplayerplug-in for instance).

-hue <-100-100>
    Adjust hue of video signal (default: 0). You can get colored negative of image with this option.

-icelayer <0-15> (icewm only)
    Sets the layer of the fullscreen window of mplayer for icewm. Desktop Below Normal OnTop Dock AboveDock Menu (default)

-jpeg <option1:option2:...> (-vo jpeg only)
    Specify options for the JPEG output.
    Available options are: Specify standard or progressive JPEG. Specify use of baseline or not. Optimization factor [0-100] Smooth factor [0-100] Quality factor [0-100] Directory to save the JPEG files

-monitor_dotclock <dotclock (or pixelclock) range> (fbdev and vesa only)
    Look into etc/example.conf for further information and in DOCS/video.html.

-monitor_hfreq <horizontal frequency range> (fbdev and vesa only)

-monitor_vfreq <vertical frequency range> (fbdev and vesa only)

-monitoraspect <ratio>
    Set aspect ratio of your monitor or TV screen. See also -aspect for movie aspect. EXAMPLE: -monitoraspect 4:3 or 1.3333
    -monitoraspect 16:9 or 1.7777

-nograbpointer
    Do not grab mouse pointer after VidMode change (-vm), useful for multihead setup.

-nokeepaspect
    Do not keep window aspect ratio when resizing X11 windows (Works currently only with -vo x11, xv, xmga and xvidix and your window manager needs to understand window aspect hints.).

-noslices
    Disable drawing video by 16-pixel height slices/bands, instead draws the whole frame in a single run. May be faster or slower, depending on card/cache. It has effect only with libmpeg2 and libavcodec codecs.

-panscan <0.0-1.0>
    Enables Pan & Scan functionality, i.e. in order to display a 16:9 movie on a 4:3 display, the sides of the movie are cropped to get a 4:3 image which fits the screen. This function works only with the xv, xmga, mga and xvidix video out drivers.
    The range controls how much of the image is cropped.

-rootwin
    Play movie in the root window (desktop background) instead of opening a new one. Works only with x11, xv, xmga and xvidix drivers.

-saturation <-100-100>
    Adjust saturation of video output (default: 0). You can get grayscale output with this option.

-screenw <pixels> -screenh <pixels>
    If you use an output driver which can't know the resolution of the screen (fbdev/x11 and/or TVout) this is where you can specify the horizontal and vertical resolution.

-stop_xscreensaver
    Turns off xscreensaver at startup and turns it on again on exit.

-vm Try to change to a better video mode. dga, x11/xv (XF86VidMode) and sdl output drivers support it.

-vo <driver1[:device],driver2,...[,]>
    Specify a priority list of video output drivers (optionally with device) to be used. 'device' is valid with SDL and GGI, too, it means subdriver then. NOTE:
    See -vo help for a full list of available drivers.
    If the list has a trailing ',' it will fallback to drivers not listed. EXAMPLE: Try Matrox kernel driver, then Xv driver, then others
    specify the SDL subdriver

-vsync
    Enables VBI for vesa.

-wid <window id>
    This tells MPlayer to use a X11 window, which is useful to embed MPlayer in a browser (with the plugger extension for instance).

-xineramascreen <0-...>
    In Xinerama configurations (i.e. a single desktop that spans across multiple displays) this option tells MPlayer which screen to display movie on.

-z <0-9>
    Specifies compression level for PNG output (-vo png) no compression max compression

-zrbw (-vo zr only)
    Display in black and white (for optimal performance, this option can be combined with the 'decode only in black and white' option for codecs belonging to the FFmpeg family).

-zrcrop <[width]x[height]+[x offset]+[y offset]> (-vo zr only)
    Select a part of the input image for display, multiple occurences of this option switch on cinerama mode. In cinerama mode the movie is distributed over more than one TV (or beamer) to create a larger screen. Options appearing after the n-th -zrcrop apply to the n-th MJPEG card, each card should at least have a -zrdev in addition to the -zrcrop. For examples, see the output of -zrhelp and the Zr section of the documentation.

-zrdev <device> (-vo zr only)
    Specify the device special file that belongs to your MJPEG card, by default this driver takes the first v4l device it can find.

-zrfd (-vo zr only)
    Force decimation: Decimation, as specified by -zrhdec and -zrvdec, only happens if the hardware scaler can stretch the image to its original size. Use this option to force decimation.

-zrhelp (-vo zr only)
    Display a list of all -zr* options, their default values and an example of cinerama mode.

-zrnorm <norm> (-vo zr only)
    Specify norm PAL/NTSC, the default is 'no change'.

-zrquality <1-20> (-vo zr only)
    A number from 1 to 20 representing the jpeg encoding quality. 1 gives the best quality and 20 gives very bad quality.

-zrvdec <1,2,4> -zrhdec <1,2,4> (-vo zr only)
    Vertical/horizontal decimation: Ask the driver to send only every 2nd or 4th line/pixel of the input image to the MJPEG card and use the scaler of the MJPEG card to strech the image to its original size.

-zrxdoff <x display offset>, -zrydoff <y display offset> (-vo zr only)
    If the movie is smaller than the TV screen, these options control the position of the movie relative to the upper left corner of the screen. The movie is centered by default.

DECODING/FILTERING OPTIONS

-ac <[-]codec1,[-]codec2,...[,]>
    Specify a priority list of audio codecs to be used, according to their codec name in codecs.conf. Use a '-' before the codec name to omit it. NOTE:
    See -ac help for a full list of available codecs.
    If the list has a trailing ',' it will fallback to codecs not listed. EXAMPLE: force l3codeca.acm MP3 codec try libmad first, then fallback to others try hardware AC3 passthrough, then software AC3 codec, then others try other codecs except FFmpeg's MP3 decoder

-afm <driver1,driver2,...>
    Specify a priority list of audio drivers to be used, according to their driver name in codecs.conf. It falls back to default if none is ok. NOTE:
    See -afm help for a full list of available drivers. EXAMPLE: try FFmpeg's libavcodec (mp1/2/3) codecs first try Win32 codecs first

-aspect <ratio>
    Override aspect ratio of movies. It's autodetected on MPEG files, but can't be autodetected on most AVI files. EXAMPLE: -aspect 4:3 or -aspect 1.3333
    -aspect 16:9 or -aspect 1.7777

-flip
    Flip image upside-down.

-lavdopts <option1:option2:...> (DEBUG CODE)
    If decoding with libavcodec, you can specify its parameters here. EXAMPLE: -lavdopts bug=1
    NOTE:
    Just add the values of the things you want to enable.
    Available options are:
error concealment: 1: use strong deblock filter for damaged MBs
2: iterative MV search (slow)
3: all (default) error resilience:
0: disabled
1: careful (should work with broken encoders)
2: normal (default) (works with compliant encoders)
3: agressive (more checks but might cause problems even for valid bitstreams)
4: very agressive manually work around encoder bugs: 0: nothing
1: autodetect bugs (default)
2 (msmpeg4v3): some old lavc generated msmpeg4v3 files (no autodetect)
4 (mpeg4): xvid interlacing bug (autodetected if fourcc==XVIX)
8 (mpeg4): UMP4 (autodetected if fourcc==UMP4)
16 (mpeg4): padding bug
32 (mpeg4): illegal vlc bug (autodetected per fourcc)
64 (mpeg4): XVID and DIVX qpel bug (autodetected) (see lavcopts) grayscale only decoding (a bit faster than with color)

-noaspect
    Disable automatic movie aspect ratio compensation.

-nosound
    Do not play/encode sound.

-pp <quality> (see -vop pp option too!)
    Set postprocess level of the DLL. This option is NO LONGER USABLE with MPlayer's postprocess filter, but only with Win32 DirectShow DLLs which have internal postprocessing routine. The valid range of -pp value vary on codecs, mostly 0-6, where 0=disable 6=slowest/best.

-pphelp (see -vop pp option too)
    Show a summary about the available postprocess filters and their usage.

-ssf <mode>
    Specifies SwScaler parameters. EXAMPLE -vop scale -ssf lgb=3.0
Gaussian blur filter (luma) Gaussian blur filter (chroma) sharpen filter (luma) sharpen filter (chroma) chroma horizontal shifting chroma vertical shifting

-stereo <mode>
    Select type of MP2/MP3 stereo output. Stereo Left channel Right channel

-sws <software scaler type> (see -vop scale option too)
    This option sets the quality (and speed, respectively) of the software scaler, with the -zoom option. For example with x11 or other outputs which lack hardware acceleration. Possible settings are: NOTE:
    For -sws 2 and 7, the sharpness can be set with the scaling parameter (p) of -vop scale (0 (soft) - 100 (sharp)), for -sws 9, it specifies the filter length (1 - 10). fast bilinear (default) bilinear bicubic (good quality) experimental nearest neighbour (bad quality) area luma bicubic / chroma bilinear gauss sincR lanczos bicubic spline

-vc <[-]codec1,[-]codec2,...[,]>
    Specify a priority list of video codecs to be used, according to their codec name in codecs.conf. Use a '-' before the codec name to omit it. NOTE:
    See -vc help for a full list of available codecs.
    If the list has a trailing ',' it will fallback to codecs not listed. EXAMPLE: force Win32/VFW DivX codec, no fallback try divx4linux codec first, then fallback to others try other codecs except Win32 DivX codecs try libavcodec's MPEG1/2 codec, then libmpeg2, then others

-vfm <driver1,driver2,...>
    Specify a priority list of video drivers to be used, according to their driver name in codecs.conf. It falls back to default if none is ok. NOTE:
    If libdivxdecore support was compiled in, then odivx and divx4 now contains just the same DivX4 codec, but different APIs to reach it. For difference between them and when to use which, check the DivX4 section in the documentation.
    See -vfm help for a full list of available drivers. EXAMPLE: try the libavcodec, then Directshow, then VFW codecs and fallback to the others, if still none is ok try XAnim codecs first

-vop <...,filter3[=options],filter2,filter1>
    Activate a comma separated list of video filters and their options in reverse order. NOTE:
    The parameters are optional and if omitted, some of them are set to default values. Use '-1' to keep the default value. Parameters w:h means width x height in pixels, x:y means x;y position counted from the upper left corner of the bigger image.
    To get a full list of available plugins, see -vop help.
    Available filters are: Crops the given part of the image and discards the rest. Useful to remove black bands from widescreen movies. w,h: Cropped width and height, defaults to original width and height.
    x,y: Position of the cropped picture, defaults to center. Calculates necessary cropping parameters and prints the recommended parameters to stdout. The threshold can be optionally specified from nothing (0) to everything (255). (default: 24) Draws a rectangle of the requested width and height at the specified coordinates over the image (useful for testing crop parameters). w,h: width and height (default: -1, maximum possible width where boundaries are still visible.
    x,y: top left corner position (default: -1, uppermost leftmost) The plugin responds to the input.conf directive 'change_rectangle' that takes two parameters. The first parameter can be 0 for w, 1 for h, 2 for x or 3 for y. The second parameter is the amount of pixels by which to change the designated rectangle boundary. Expands (not scales) movie resolution to the given value and places the unscaled original at coordinates x, y. Can be used for placing subtitles/OSD in the resulting black bands. w,h: expanded width,height (default: original width,height)
    x,y: position of original image on the expanded image (default: center)
    o: OSD/subtitle rendering
        0: disable (default)
        1: enable Negative values for w and h are treated as offsets to the original size, e.g. expand=0:-50:0:0 adds a 50 pixel border to the bottom of the picture. Flips the image upside down. See also option -flip. Mirrors the image on the Y axis. Rotates and flips (optional) the image +/- 90 degrees. For parameters between 4-7 rotation is only done if the movie's geometry is portrait and not landscape. Scales the image with the software scaler (slow) and performs a YUV<->RGB colorspace conversion (also see -sws option). w,h: new width/height after scaling (default: original width,height)
        Note: If -zoom is used, and underlying filters (including libvo) are
        incapable of scaling, then it defaults to d_width/d_height!
        -1: original width/height
        0: scaled d_width/d_height
        -2: Calculate w/h using the other dimension and the prescaled aspect ratio.
        -3: Calculate w/h using the other dimension and the original aspect ratio.
    c: chroma skipping
        0: use all available input lines for chroma
        1: use only every 2. input line for chroma
        2: use only every 4. input line for chroma
        3: use only every 8. input line for chroma
    p: scaling parameter (depends upon the scaling method used)
        for -sws 2 (bicubic) it is sharpness (0 (soft) - 100 (sharp))
        for -sws 7 (gaussian) it is sharpness (0 (soft) - 100 (sharp))
        for -sws 9 (lanczos) it is filter length (1 - 10) The value 0 is used for scaled (aspect) destination w/h. (default: original w/h, destination w/h with -zoom) Optionally chroma skipping (c from 0-3) and scaling parameters can be specified. (see the -sws option for details) Forces software YV12/I420 or 422P to YUY2 conversion. Useful for video cards/drivers with slow YV12 but fast YUY2 support. Forces software YVU9 to YV12 colorspace conversion. Deprecated in favor of the software scaler. RGB 24/32 <-> BGR 24/32 colorspace conversion. swap: Also perform R <-> B swapping. RGB/BGR 8 -> 15/16/24/32bpp colorspace conversion using palette. Restricts the colorspace for the next filter without doing any conversion. Use together with the scale filter for a real conversion. fourcc: format name like rgb15, bgr24, yv12, etc (default: yuy2) This option enables usage of MPlayer's internal postprocessing filter, and also gives an interface where you can pass options to the named filter. To get a list of available filters, use -pphelp.
    Note that each sub-filter must be separated with a / sign.
    Each filter defaults to 'c' (chrominance).
    The keywords accept a '-' prefix to disable the option.
    A ':' followed by a letter may be appended to the option to indicate its scope: a: Automatically switches the filter off if the CPU is too slow.
    c: Do chrominance filtering, too.
    y: Do not do chrominance filtering (only luminance filtering).
    EXAMPLES:
-vop pp=hb/vb/dr/al/lb
-vop pp=hb/vb/dr/al
Default filters without brightness/contrast correction:
-vop pp=de/-al
Enable default filters & temporal denoiser:
-vop pp=de/tn:1:2:3
Deblock horizontal only luminance and switch vertical deblocking on or off automatically depending on available CPU time:
-vop pp=hb:y/vb:a -autoq 6 Generate various test patterns. Fast software YV12 to MPEG1 conversion with libavcodec for use with DVB/DXR3. Faster and of better quality than -vop fame. quality:
    1 - 31 fixed qscale
    32 - fixed bitrate in kBits
fps: force output fps (float value) (default: 0, autodetect based on height) Fast software YV12 to MPEG1 conversion with libfame for use with DVB/DXR3. Set up optimal scaling for DVB cards, scaling the X axis in hardware and calculating the Y axis scaling in software to keep aspect. aspect: control aspect ratio, calculate as DVB_HEIGHT*ASPECTRATIO (default: 576*4/3=768), set it to 576*(16/9)=1024 for a 16:9 TV. Only useful together with expand+scale: -vop lavc,expand=-1:576:-1:-1:1,scale=-1:0,dvbscale Adds noise. <0-100>: luma noise
<0-100>: chroma noise
u: uniform noise (gaussian otherwise)
t: temporal noise (noise pattern changes between frames)
a: averaged temporal noise (smoother, but a lot slower)
h: high quality (slightly better looking, slightly slower)
p: mix random noise with a (semi)regular pattern This filter aims to reduce image noise producing smooth images and making still images really still (This should enhance compressibility.). It can be given from 0 to 3 parameters. If you omit a parameter, a reasonable value will be inferred.
luma:    spatial luma strength (default = 4)
chroma:    spatial chroma strength (default = 3)
time:    temporal strength (default = 6)
High precision/quality version of the denoise3d filter. Parameters and usage are the same. Software equalizer with interactive controls just like the hardware equalizer, for cards/drivers that do not support brightness and contrast controls in hardware. Might also be useful with MEncoder, either for fixing poorly captured movies, or for slightly reducing contrast to mask artifacts and get by with lower bitrates. Initial values in the range -100 - 100 may be given on the command line. Alternative software equalizer that uses lookup tables (very slow), allowing gamma correction in addition to simple brightness, contrast and saturation adjustment. Note that it uses the same MMX optimized code as -vop eq if all gamma values are 1.0. The parameters are given as floating point values. Parameters rg, gg, bg are the independent gamma values for the Red, Green and Blue components. Defaults are 1.0, brightness=0.0. Value ranges are 0.1-10 for gammas, -2-2 for contrast (negative values result in a negative image), -1-1 for brightness and 0-3 for saturation. Convert planar YUV 4:2:0 to half-height packed 4:2:2, downsampling luma but keeping all chroma samples. Useful for output to low-resolution display devices when hardware downscaling is poor quality or is not available. Can also be used as a primitive luma-only deinterlacer with very low cpu usage. By default, halfpack averages pairs of lines when downsampling. The optional parameter f can be 0 to only use even lines, or 1 to only use odd lines. Any other value for f gives the default (averaging) behavior. Detects and drops first of interlaced frames in video stream. Values can be from 0.0 to 1.0 - first (default 0.1) is relative difference between neighbor pixels, second (default 0.15) is what part of image have to be detected as interlaced to drop the frame. Use libavcodec's deinterlace filter. Unsharp mask / gaussian blur. l: Apply effect on luma component.
c: Apply effect on chroma components.
WxH: width and height of the matrix, odd sized in both directions (min = 3x3, max = 13x11 or 11x13, usually something between 3x3 and 7x7)
amount: Relative amount of sharpness/blur to add to the image (a sane range should be -1.5 - 1.5).
    <0: blur
    >0: sharpen Swap U & V plane. (de)interleaves lines. The goal of this filter is to add the ability to process interlaced images pre-field without deinterlacing them. You can filter your interlaced DVD and play it on a TV without breaking the interlacing. While deinterlacing (with the postprocessing filter) removes interlacing permanently (by smoothing, averaging, etc) deinterleaving splits the frame into 2 fields (so called half pictures), so you can process (filter) them independently and then re-interleave them. d: deinterleave
i: interleave
s: swap fields (exchange even & odd lines) Extracts a single field from an interlaced image using stride arithmetic to avoid wasting CPU time. The optional argument n specifies whether to extract the even or the odd field (depending on whether n is even or odd). Attempts to reverse the "telecine" process to recover a clean, non-interlaced stream at film framerate. This filter is still experimental but seems to be usable. The following arguments (see syntax above) may be used to control its behavior: dr: Set the frame dropping mode. 0 (default) means don't drop frames to maintain fixed output framerate. 1 means always drop a frame when there have been no drops or telecine merges in the past 5 frames. 2 means always maintain exact 5:4 input to output frame ratio. (Note: use mode 1 with MEncoder!)
am: Analysis mode. Available values are 0 (fixed pattern with initial frame number specified by fr=#) and 1 (agressive search for telecine pattern). Default is 1.
fr: Set initial frame number in sequence. 0-2 are the three clean progressive frames; 3 and 4 are the two interlaced frames. The default, -1, means "not in telecine sequence". The number specified here is the type for the imaginary previous frame before the movie starts.
tr0, tr1, tr2, tr3: Threshold values to be used in certain modes. Apply 3:2 "telecine" process to increase framerate by 20%. This most likely will not work correctly with mplayer, but it can be used with 'mencoder -fps 29.97 -ofps 29.97 -vop telecine'. Both fps options are essential! (A/V sync will break if they are wrong.) The optional start parameter tells the filter where in the telecine pattern to start (0-3). Temporal field separation -- split fields into frames, doubling the output framerate. In mode 0, the filter will leave the fields unchanged, resulting in half-height output. In mode 1, interlaced parts of the image will be interpolated to reconstruct full-height frames. Like the telecine filter, "tfields" will only work properly with mencoder, and only if both -fps and -ofps are set to the desired (double) framerate! box blur radius: size of the filter
power: How often the filter should be applied. shape adaptive blur rad: blur filter strength (~0.1-4.0) (slower if larger)
pf: prefilter strength (~0.1-2.0)
colorDiff: How different the pixels are allowed to be considered. (~0.1-100.0) smart blur rad: blur filter strength (~0.1-5.0) (slower if larger)
strength: blur (0.0-1.0) or sharpen (-1.0-0.0)
thresh: filter all (0), filter flat areas (0-30) or filter edges (-30-0) perspective correction x0,y0,...: coordinates of the top left, top right, bottom left, bottom right corners
t: linear (0) or cubic resampling (1) Use the 2x scale and interpolate algorithm for scaling and smoothing images. 1bpp bitmap to YUV/BGR 8/15/16/32 conversion Reposition and resize stereoscopic images. Extracts both stereo fields and places them side by side, resizing them to maintain the original movie aspect. lines: number of lines to select from the middle of the image (default: 12) Read bitmaps from a FIFO and display them in a window. hidden: sets the default value of the 'hidden' flag (boolean)
opaque: flag switching between alphablended (transparent) and opaque (fast) mode
fifo: path/filename for the FIFO (named pipe connecting mplayer -vop bmovl to the controlling application)
    FIFO commands are:
RGBA32 width height xpos ypos alpha clear
followed by width*height*4 bytes of raw RGBA32 data. ABGR32 width height xpos ypos alpha clear
followed by width*height*4 bytes of raw ABGR32 data. RGB24 width height xpos ypos alpha clear
followed by width*height*3 bytes of raw RGB32 data. BGR24 width height xpos ypos alpha clear
followed by width*height*3 bytes of raw BGR32 data. ALPHA width height xpos ypos alpha
change alpha for area CLEAR width height xpos ypos
clear area OPAQUE
disable all alpha transparency. Send "ALPHA 0 0 0 0 0" to enable it again. HIDE
hide bitmap SHOW
show bitmap
    Arguments are:
width, height: size of image/area
xpos, ypos: start blitting at X/Y position
alpha: set alpha difference. 0 means same as original, 255 makes everything opaque, -255 makes everything transparent. If you set this to -255 you can then send a sequence of ALPHA-commands to set the area to -225, -200, -175 etc for a nice fade-in-effect! ;)
clear: clear the framebuffer before blitting. 1 means clear, if 0, the image will just be blitted on top of the old one, so you don't need to send 1,8MB of RGBA32 data everytime a small part of the screen is updated.

-x <x> (MPLAYER only)
    Scale image to x width (if sw/hw scaling available). Disables aspect calculations.

-xvidopts <option1:option2:...>
    Specify additional parameters when decoding with XviD. Activate direct rendering method 2. Deactivate direct rendering method 2.

-xy <x>
    Scale image by factor <x>. Set width to <x> and calculate height to keep correct aspect ratio.

-y <y> (MPLAYER only)
    Scale image to y height (if sw/hw scaling available). Disables aspect calculations.

-zoom
    Allow software scaling, where available. Could be used to force scaling with -vop scale. NOTE:
    -vop scale will IGNORE options -x / -y / -xy / -fs / -aspect without -zoom.

ENCODING OPTIONS (MENCODER ONLY)

-audio-density <1-50>
    Number of audio chunks per second (default is 2 for 0.5s long audio chunks). NOTE:
    CBR only, VBR ignores this as it puts each packet in a new chunk.

-audio-delay <0.0-...>
    Sets the audio delay field in the header. Default is 0.0, negative values do not work. This does not delay the audio while encoding, but the player will see the default audio delay, sparing you the use of the -delay option.

-audio-preload <0.0-2.0>
    Sets up audio buffering time interval (default: 0.5s).

-divx4opts <option1:option2:...>
    If encoding to DivX4, you can specify its parameters here.
    Available options are: get help specify bitrate in kbit <4-16000> or
    bit <16001-24000000> maximum keyframe interval (in frames) enable deinterlacing (avoid it, DivX4 is buggy) quality (1-fastest, 5-best) minimum quantizer maximum quantizer rate control period rate control reaction period rate control reaction ratio specify crispness/smoothness With this you can encode 2pass DivX4 files. First encode with pass=1, then with the same parameters, encode with pass=2. Override the pass argument and use XviD VBR Library instead of DivX4 VBR. Available options are: 0: one pass encoding (as in not putting pass on the command line)
    1: Analysis (first) pass of two pass encoding. The resulting AVI file can be directed to /dev/null.
    2: Final (second) pass of two pass encoding.

-endpos <[[hh:]mm:]ss[.ms]|size[b|kb|mb]> (see -ss and -sb option too)
    Stop encoding at given time or byte position. Can be specified in many ways: NOTE:
    Byte position won't be accurate, as it can only stop at a frame boundary. EXAMPLE: encode only 56 seconds encode only 1 hour 10 minutes encode only 100 MBytes

-ffourcc <fourcc>
    Can be used to override the video fourcc of the output file. EXAMPLE: will have the output file contain 'div3' as video fourcc.

-include <configuration file>
    Specify configuration file to be parsed after the default ones.

-info <option1:option2:...> (.AVI only)
    Specify the info header of the resulting .AVI file.
    Available options are: show this description title of the subject of the file artist or author of the original subject of the file original work category contents of the file copyright information for the file original form of the material that was digitized general comments about the file or the subject of the file

-lameopts <option1:option2:...>
    If encoding to MP3 with libmp3lame, you can specify its parameters here.
    Available options are: get help variable bitrate method 0: cbr
    1: mt
    2: rh (default)
    3: abr
    4: mtrh average bitrate constant bitrate.
    Forces also CBR mode encoding on subsequent ABR presets modes specify bitrate in kBit (CBR and ABR only) quality (0-highest, 9-lowest) (only for VBR) algorithmic quality (0-best/slowest, 9-worst/fastest) compression ratio set audio input gain (default: auto) 0: stereo
    1: joint-stereo
    2: dualchannel
    3: mono 0: no
    1: all
    2: adjust switch on faster encoding on subsequent VBR presets modes, slightly lower quality and higher bitrates. provide the highest possible quality settings. medium: VBR encoding, good quality, 150-180 kbps bitrate range.
    standard: VBR encoding, high quality, 170-210 kbps bitrate range.
    extreme: VBR encoding, very high quality, 200-240 kbps bitrate range.
    insane: CBR encoding, highest preset quality, 320 kbps bitrate.
    <8-320>: ABR encoding at average given kbps bitrate.
EXAMPLE: for most people on most music and already quite high in quality. encode with ABR presets at a 192 kbps forced constant bitrate. encode with ABR presets at a 172 kbps average bitrate. for people with extremely good hearing and similar equipment. print additional options and informations on presets settings.

-lavcopts <option1:option2:...>
    If encoding with libavcodec, you can specify its parameters here. EXAMPLE: -lavcopts vcodec=msmpeg4:vbitrate=1800:vhq:keyint=250
    Available options are:
use the specified codec (there is no default, you must specify it): mjpeg: Motion JPEG
h263: H263
h263p: H263 Plus
mpeg4: DivX 4/5
msmpeg4: DivX 3
rv10: an old RealVideo codec
mpeg1video: MPEG1 video :) minimum quantizer (pass 1/2) 1: Not recommended (much larger file, little quality difference and weird side effects: msmpeg4, h263 will be very low quality, ratecontrol will be confused resulting in lower quality and some decoders will not be able to decode it).
2: Recommended for normal mpeg4/mpeg1video encoding (default).
3: Recommended for h263(p)/msmpeg4. The reason for preferring 3 over 2 is that 2 could lead to overflows (this will be fixed for h263(p) by changing the quantizer per MB in the future, msmpeg4 cannot be fixed as it does not support that) Constant quantizer / constant quality encoding (selects fixed quantizer mode). A lower value means better quality but larger files (default: 0 (disabled)). 1 is not recommended (see -vqmin for details). maximum quantizer (pass 1/2) 10-31 should be a sane range (default: 31) minimum macroblock quantizer (pass 1/2) (default: 2) maximum macroblock quantizer (pass 1/2) (default: 31) maximum quantizer difference between I or P frames (pass 1/2) (default: 3) maximum number of B frames between non B frames: 0: no B frames (default)
0-2: sane range for MPEG4 motion estimation method: 0: none (very low quality)
1: full (slow)
2: log (low quality)
3: phods (low quality)
4: EPZS (default)
5: X1 (experimental) Note: 0-3 currently ignores the amount of Bits spent, so quality may be low. high quality mode, encode each macro block in all modes and choose the best. This is slow but results in better quality and file size. (default: disabled) Allow 4 motion vectors per macroblock (slightly better quality). (default: disabled) maximum interval between keyframes in frames. Keyframes are needed for seeking as seeking is only possible to a keyframe but keyframes need more space than other frames so larger numbers here mean slightly smaller files, but less precise seeking, 0 means no key frames. Values >300 are not recommended as the quality might be bad depending upon decoder, encoder and luck. For a strict MPEG1/2/4 compliance this would have to be <=132. (default: 250 or one key frame every ten seconds in a 25fps movie) strategy to choose between I/P/B frames (pass 2): 0: always use the maximum number of B frames (default)
1: avoid B frames in high motion scenes (will cause bitrate misprediction) Activates internal two pass mode, only specify if you wish to use two pass encoding (default: disabled). 1: first pass
2: second pass Tip: Try to use constant quantizer mode for pass one (vqscale=<quantizer>).
huffyuv: pass 1 saves statistics
pass 2 encodes with an optimal Huffman table based upon pass 1 statistics. Store movie aspect internally, just like MPEG files. Much nicer solution than rescaling, because quality isn't decreased. Only MPlayer will play these files correctly, other players will display them with wrong aspect. The aspect parameter can be given as a ratio or a floating point number. Example: aspect=16/9, aspect=1.78 specify bitrate (pass 1/2) in kBit <4-16000> or
Bit <16001-24000000>
(warning: 1kBit = 1000 Bits)
(default: 800) approximated filesize tolerance in kBit. 1000-100000 is a sane range. (warning: 1kBit = 1000 Bits) (default: 8000) maximum bitrate in kbit/sec (pass 1/2) minimum bitrate in kbit/sec (pass 1/2) buffer size in kbit (pass 1/2). Note: vratetol should not be too large during the second pass or there might be problems if vrc_(min|max)rate is used. quantizer factor between B and non B frames (pass 1/2) (default: 1.25) (pass 1/2) (default: 0.8) quantizer offset between B and non B frames (pass 1/2) (default: 1.25) (pass 1/2) (default: 0.0)
if v{b|i}_qfactor > 0
I/B-Frame quantizer = P-Frame quantizer * v{b|i}_qfactor + v{b|i}_qoffset
else
do normal ratecontrol (dont lock to next P frame quantizer) and set q= -q * v{b|i}_qfactor + v{b|i}_qoffset Tip: To do constant quantizer encoding with different quantizers for I/P and B frames you can use: vqmin=<ip_quant>:vqmax=<ip_quant>:vb_qfactor=<b_quant/ip_quant> quantizer blur (pass1) Larger values will average the quantizer more over time (slower change). 0.0: qblur disabled
0.5 (default)
1.0: average the quantizer over all previous frames quantizer gaussian blur (pass2) Larger values will average the quantizer more over time (slower change) (default: 0.5) quantizer compression, depends upon vrc_eq (pass 1/2) (default: 0.5) main ratecontrol equation (pass 1/2): 1: constant bitrate
tex: constant quality
1+(tex/avgTex-1)*qComp: approximately the equation of the old ratecontrol code
tex^qComp: with qcomp 0.5 or something like that (default) infix operators: +,-,*,/,^ variables:
tex: texture complexity
iTex,pTex: intra, non intra texture complexity
avgTex: average texture complexity
avgIITex: average intra texture complexity in I frames
avgPITex: average intra texture complexity in P frames
avgPPTex: average non intra texture complexity in P frames
avgBPTex: average non intra texture complexity in B frames
mv: Bits used for motion vectors
fCode: maximum length of motion vector in log2 scale
iCount: number of intra macro blocks / number of macro blocks
var: spatial complexity
mcVar: temporal complexity
qComp: qcomp from the command line
isI, isP, isB: is 1 if picture type is I/P/B else 0
Pi,E: see your favorite math book functions:
max(a,b),min(a,b): maximum / minimum
gt(a,b): is 1 if a>b, 0 otherwise
lt(a,b): is 1 if a<b, 0 otherwise
eq(a,b): is 1 if a==b,0 otherwise
sin, cos, tan, sinh, cosh, tanh, exp, log, abs User specified quality for specific parts (ending, credits, ..) (pass 1/2). The options are <start-frame>, <end-frame>, <quality>[/<start-frame>, <end-frame>, <quality>[/...]]: quality 2-31: quantizer
quality -500-0: quality correction in % initial complexity (pass 1) specify how to keep the quantizer between qmin and qmax (pass 1/2): 0: use clipping
1: use a nice differentiable function (default) single coefficient elimination threshold for luminance. Negative values will also consider the dc coefficient (should be at least -4 or lower for encoding at quant=1): 0: disabled (default)
-4 (JVT recommendation) single coefficient elimination threshold for chrominance. Negative values will also consider the dc coefficient (should be at least -4 or lower for encoding at quant=1): 0 disabled (default)
7 (JVT recommendation) strict standard compliance 0: disabled (default)
1: only recommended if you want to feed the output into the mpeg4 reference decoder
-1: allows non-standard YV12 huffyuv encoding (20% smaller files, but cannot be played by the official huffyuv codec) data partitioning. Adds 2 Bytes per video packet, improves error-resistance when transferring over unreliable channels (eg. streaming over the internet) Each video packet will be encoded in 3 separate partitions: 1. MVs (=movement)
2. DC coefficients (=low res picture)
3. AC coefficients (=details) MV & DC are most important, loosing them looks far worse than loosing the AC and the 1. & 2. partition. (MV&DC) are far smaller than the 3. partition (AC) meaning that errors will hit the AC partition much more often than the MV&DC partitions. Thus, the picture will look better with partitioning than without, as without partitioning an error will trash AC/DC/MV equally. video packet size, improves error-resistance (see -vdpart option too): 0: disabled (default)
100-1000: good choice grayscale only encoding (faster) (default: disabled) dct algorithm: 0: automatically select a good one (default)
1: fast integer
2: accurate integer
3: mmx
4: mlib idct algorithm. Note: To the best of our knowledge all these IDCTs do pass the IEEE1180 tests. 0: automatically select a good one (default)
1: jpeg reference integer
2: simple
3: simplemmx
4: libmpeg2mmx (inaccurate, DON'T USE for encoding with keyint >100)
5: ps2
6: mlib
7: arm luminance masking. Warning: Be careful, too large values can cause disastrous things. Warning2: Large values might look good on some monitors but may look horrible on other monitors: 0.0: disabled (default)
0.0-0.3: sane range darkness masking. Warning: be careful, too large values can cause disasterous things. Warning2: large values might look good on some monitors but may look horrible on other monitors / TV / TFT: 0.0: disabled (default)
0.0-0.3: sane range temporal complexity masking (default: 0.0 (disabled)) spatial complexity masking. Larger values help against blockiness, if no deblocking filter is used for decoding. Tip: Crop any black borders completely as they will reduce the quality of the macro blocks (also applies without scplx_mask). 0.0: disabled (default)
0.0-0.5: sane range Normalize adaptive quantization (experimental). When using adaptive quantization (*_mask), the average per-MB quantizer may no longer match the requested frame-level quantizer. Naq will attempt to adjust the per-MB quantizers to maintain the proper average. use interlaced dct YV12: default
422P: for huffyuv (for huffyuv) 0: left prediction
1: plane/gradient prediction
2: median prediction use quarter pel motion compensation Tip: This seems only useful for high bitrate encodings. comparison function for motion estimation pre pass comparison function for full pel motion estimation comparison function for sub pel motion estimation 0 (SAD): sum of absolute differences, fast (default)
1 (SSE): sum of squared errors
2 (SATD): sum of absolute hadamard transformed differences
3 (DCT): sum of absolute dct transformed differences
4 (PSNR): sum of the squared quantization errors (don't use, low quality)
5 (BIT): number of bits needed for the block
6 (RD): rate distortion optimal, slow
7 (ZERO): 0
+256: use chroma too, doesn't work (correctly) with B frames currently Diamond type and size for motion estimation pre pass Diamond type & size for motion estimation. Note: The sizes of the normal diamonds and shape adaptive ones dont have the same meaning -3: shape adaptive (fast) diamond with size 3
-2: shape adaptive (fast) diamond with size 2
-1: experimental
 1: normal size=1 diamond (default) =EPZS type diamond
      0
     000
      0
 2: normal size=2 diamond
      0
     000
    00000
     000
      0
Trellis quantization. This will find the optimal encoding for each 8x8 block. Trellis quantization is quite simple a optimal quantization in the PSNR vs bitrate sense (assuming that there would be no rounding errors introduced by the IDCT, which is obviously not the case) it simply finds a block for the minimum of error and lambda*bits. lambda: qp dependant constant
bits: amount of bits needed to encode the block
error: sum of squared errors of the quantization Amount of motion predictors from the previous frame 0: (default)
a: will use 2a+1 x 2a+1 macro block square of motion vector predictors from the previous frame motion estimation pre-pass 0: disabled
1: only after I frames (default)
2: always subpel refinement quality (for qpel) (default: 8). Note: This has a significant effect on the speed. print the psnr (peak signal to noise ratio) for the whole video after encoding and store the per frame psnr in a file with a name like 'psnr_012345.log'. Return values are in dB (decibel), the higher the better. use MPEG quantizers instead of H.263. (default: disabled) (i.e. use H.263 quantizers) advanced intra prediction (H.263+ only) Note: vqmin should be 8 or larger. unlimited MVs (H.263+ only) Allow encoding of abritarily long MVs.

-noskip
    Do not skip frames.

-o <filename>
    Outputs to the given filename, instead of the default 'test.avi'.

-oac <codec name>
    Encode with the given audio codec. Use -ovc help to get a list of available codecs. (no default set) EXAMPLE: no encoding, just streamcopy encode to uncompressed PCM encode to MP3 (using Lame)

-of <format> (BETA CODE!)
    Encode to the specified format. Use -of help to get a list of available formats. EXAMPLE: encode to avi (default) encode to mpeg

-ofps <fps>
    The output file will have different frame/sec than the source. You MUST set it for variable fps (asf, some mov) and progressive (29.97fps telecined mpeg) files.

-ovc <codec name>
    Encode with the given video codec. Use -ovc help to get a list of available codecs. (no default set) EXAMPLE: no encoding, just streamcopy encode to DivX4/DivX5 encode to uncompressed RGB24 encode with a libavcodec codecs

-passlogfile <filename>
    When encoding in 2pass mode, MEncoder dumps first pass' informations to the given file instead of the default divx2pass.log.

-skiplimit <value>
    Maximal skipable frames after non-skipped one (-noskiplimit for unlimited number).

-v, --verbose
    Increment verbose level (more -v means more verbosity). only some informal output (default) some basic debug infos, avi header, function values (init debug) print avi indexes, chunk inputs, more debug infos (player debug) prints everything related to input parsers (parser debug)

-vobsubout <basename>
    Specify the basename for the output .idx and .sub files. This turns off subtitle rendering in the encoded movie and diverts it to Vobsub subtitle files.

-vobsuboutindex <index>
    Specify the index of the subtitles in the output files. (default: 0)

-vobsuboutid <langid>
    Specify the language two letter code for the subtitles. This overrides what is read from the DVD or the .ifo file.

-xvidencopts <option1:option2:...>
    If encoding to XviD, you can specify its parameters here.
    There's three modes available: constant bitrate (CBR), fixed quantizer and 2pass.
    Available options are: specify the pass in 2pass mode sets the bitrate to be used in kbits/second if <16000 or in bits/second if >16000 (CBR or 2pass mode, default=687 kbits/s) switch to fixed quantizer mode and specify the quantizer to be used specify the motion detection quality (default=4) use 4 motion vectors per macro-block, might give better compression at the cost of a slower encoding (default=off) specify how fast the rate control reacts, lower values are faster period to reach the required average size of the rate control buffer min & max quantizer for all frames (default=2-31, CBR mode)
    min & max quantizer for I/P frames (default=2-31/2-31, 2pass mode) minimum interval between key frames (default=0, 2pass only) maximum interval between key frames (default=10*fps) use MPEG quantizers instead of H.263 (default=off) decide whether to use MPEG or H.263 quantizers on a frame-by-frame basis. (default=off, 2pass mode only) use a lumimasking algorithm (default=off, seems buggy) save Motion Estimation vectors to a file during the first pass and reuse this file during the second (default=off, 2pass mode only, seems buggy) specify the temporary file to be used by the 'hintedme' option (default= ./xvid_hint_me.dat, 2pass mode only) save per-frame statistics in xvid.dbg (default=off)
    this is *not* the 2pass control file (default=0, 2pass mode only) (default=10, 2pass mode only) (default=30, 2pass mode only)

KEYBOARD CONTROL
NOTE:
MPlayer has a fully configurable, command driven, control layer which allow you to control MPlayer using keyboard, mouse, joystick or remote control (using lirc).
The default configuration file for the input system is ~/.mplayer/input.conf but it can be overriden using the -input conf option.
These keys may/may not work, depending on your video output driver.

general control
    seek backward/forward 10 seconds seek backward/forward 1 minute seek backward/forward 10 minutes backward/forward in playlist go to next/previous playtree entry in the parent list go to next/previous alternative source (asx playlist only) pause movie (any key unpauses) stop playing and quit adjust audio delay by +/- 0.1 second decrease/increase volume decrease/increase volume mute sound toggle fullscreen decrease/increase panscan range toggle between OSD states: none / seek / seek+timer toggle frame dropping toggle subtitle visibility switch subtitle language toggle subtitle aligment: top/middle/bottom adjust subtitle delay by +/- 0.1 second adjust subtitle position set EDL mark
(The following keys are valid only when using -vo xv or -vo [vesa|fbdev]:vidix or -vo xvidix -vo (x)mga or -vc divxds (slow).) adjust contrast adjust brightness adjust hue adjust saturation

GUI keyboard control
    start playing stop playing load file skin browser toggle playlist

TV input control
    select previous/next channel change norm change channel list

DVDNAV input control
    browse up/down/left/right jump to main menu select

SLAVE MODE PROTOCOL
If the -slave option is given, playback is controlled by a line-based protocol. Each line must contain one command otherwise one of the following tokens:

Commands
    Seek to some place in the movie. Type 0 is a relative seek of +/- <value> seconds. Type 1 seek to <value> % in the movie. Type 2 is a seek to an absolute position of <value> seconds. Adjust the audio delay of value seconds Quit MPlayer Pause/unpause the playback Somebody know ? Go to next/previous entry in the playtree. Like pt_step but it jumps to next/previous in the parent list. When more than one source is available it selects the next/previous one (only supported by asx playlist). Adjust the subtitles delay of +/- <value> seconds or set it to <value> seconds when abs is non zero. Toggle osd mode or set it to level when level > 0. Increase/decrease volume Set/Adjust video parameters. Toggle/Set frame dropping mode. Toggle subtitle visibility. Adjust subtitles position. Switch to fullscreen mode. Select next/previous tv channel. Change TV norm. Change channel list. GUI actions

FILES

/etc/mplayer/mplayer.conf
    system-wide settings

~/.mplayer/config
    user settings

~/.mplayer/input.conf
    input bindings (see '-input keylist' for full keylist)

~/.mplayer/gui.conf
    GUI configuration file

~/.mplayer/gui.pl
    GUI playlist

~/.mplayer/font/
    font directory (There must be a font.desc file and files with .RAW extension.)

~/.mplayer/DVDkeys/
    cracked CSS keys
Sub files
    are searched for in this priority (for example /mnt/movie/movie.avi): /mnt/cdrom/movie.sub
    ~/.mplayer/sub/movie.sub
    ~/.mplayer/default.sub

EXAMPLES

Quickstart DVD playing
    mplayer -dvd 1

Play in japanese with english subtitles
    mplayer -dvd 1 -alang ja -slang en

Play only chapters 5, 6, 7
    mplayer -dvd 1 -chapter 5-7

Multiangle DVD playing
    mplayer -dvd 1 -dvdangle 2

Playing from a different DVD device
    mplayer -dvd 1 -dvd-device /dev/dvd2

Old style DVD (VOB) playing
    mplayer -dvdauth /dev/dvd /mnt/dvd/VIDEO_TS/VTS_02_4.VOB

Stream from HTTP
    mplayer http://mplayer.hq/example.avi

Stream using RTSP
    mplayer rtsp://server.example.com/streamName

Convert subtitle to MPsub (to ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Input from standard V4L
    mplayer -tv on:driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Encoding DVD title #2, only selected chapters
    mencoder -dvd 2 -chapter 10-15 -o title2.avi -oac copy -ovc divx4

Encoding DVD title #2, resizing to 640x480
    mencoder -dvd 2 -vop scale=640:480 -o title2.avi -oac copy -ovc divx4

Encoding DVD title #2, resizing to 512xHHH (keep aspect ratio)
    mencoder -dvd 2 -vop scale -zoom -xy 512 -o title2.avi -oac copy -ovc divx4

The same, but with libavcodec family, MPEG4 (Divx5) compression
    mencoder -dvd 2 -o title2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

The same, but with libavcodec family, MJPEG compression
    mencoder -dvd 2 -o titel2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Encoding all *.jpg files in the current dir
    mencoder \*.jpg -mf on:fps=25 -o output.avi -ovc divx4

Encoding from tuner
    mencoder -tv on:driver=v4l:width=640:height=480 -o tv.avi -ovc rawrgb

Encoding from a pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -- -

Encoding multiple *.vob files
    cat *.vob | mencoder <options> -

BUGS
Probably. PLEASE, double-check the documentation (especially bugreports.html), the FAQ and the mail archive before!
Send your complete bug reports to the MPlayer-users mailing list at <mplayer-users@mplayerhq.hu>. We love complete bug reports :)

AUTHORS
Check documentation.

MPlayer is (C) 2000-2003
    Arpad Gereoffy

This man page is written and maintained by
    Gabucino
    Diego Biurrun
    Jonas Jermann

Please send mails about it to the MPlayer-users mailing list.

STANDARD DISCLAIMER
Use only at your own risk! There may be errors and inaccuracies that could be damaging to your system or your eye. Proceed with caution, and although this is highly unlikely, the authors don't take any responsibility for that!